module ModTest8 interface;

(* FLAGS: --pedantic-errors *)

export
  ModTest = (protected i);

var
  i: integer;


end.


module ModTest8 implementation;

end.


program Test(output);

import
  ModTest;

begin
  i := -9;  (* WRONG *)
  writeln('failed');
end.
